Retrieves the type with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
marketing_segment| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code | string |
Max length: 50 |
|
| segment |
Marketing segment Name |
string |
Required Max length: 50 |
| description |
Description of the segment |
string |
Max length: 255 |
| visit_frequency_days_interval |
Number of days between 2 visits |
integer | |
| frequency_logic |
Logic to apply for the frequency, which last events (value can be ORDER,MEETING_COMPLETED or ORDER_OR_MEETING_COMPLETED ) |
string | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "b44a1763-0bb0-4111-836f-c410a8d657ee",
"code": "sample string 2",
"segment": "sample string 3",
"description": "sample string 4",
"visit_frequency_days_interval": 5,
"frequency_logic": "sample string 6",
"sales_organization_id": "f49ceebd-0717-4b9a-9176-45264f971176",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "5724e3e7-3681-4896-bd55-d1953f080d40",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "866fd05e-faea-42fe-877e-64c7057d5005",
"db_currency_id": "973e90c3-284e-4ae5-ab21-06e0a2801c31",
"db_language_id": "bb523841-a170-4391-b1a9-453bd9418452",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-07-15T23:48:24.1642015+00:00"
},
"modified_dateutc": "2026-07-15T23:48:24.1642015+00:00"
}